Home | All Classes | Grouped Classes | Index | Search

# CL_SoundBuffer::set_volume

Sets the volume of the sound buffer in a relative measure (0->1)

    	void set_volume(
    		float new_volume);

Parameters:

new_volume
  New volume of sound buffer.

Detailed description:

A value of 0 will effectively mute the sound (although it will still be sampled), and a value of 1 will set the volume to "max".

See also:

CL_SoundBuffer

Questions or comments, write to the ClanLib mailing list.